using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：演练记录评估人员
    /// </summary>
    [Description("导航属性：演练记录评估人员")]
    public class T_CM_DRILL_RECORD_USER_ESTIMATE : MesEntityBase
    {
        /// <summary>
        /// 应急演练记录编号
        /// </summary>
        [Description("应急演练记录编号")]
        [DataFieldForeignKey("Nav_Record", "Nav_ListUserEstimate")]
        public Guid RECORD_ID { get; set; }

        /// <summary>
        /// 导航属性：应急演练记录
        /// </summary>
        [Description("导航属性：应急演练记录")]
        public virtual T_CM_DRILL_RECORD Nav_Record { get; set; }

        /// <summary>
        /// 评估人ID
        /// </summary>
        [Description("评估人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航：责任人
        /// </summary>
        [Description("导航：评估人员")]
        [FormFieldEdit]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 是否填表人（第一个评估人）
        /// </summary>
        [Description("是否填表人")]
        public bool ISSIGN { get; set; }

        /// <summary>
        /// 是否同意
        /// </summary>
        [Description("是否同意")]
        public bool ISAGREE { get; set; }
    }
}
